Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Employee
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
  • Core HR
    • Attendance
      • Get Time Attendance
      • Get Time Attendances Lite
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
        GET
      • Update Employee
        PUT
      • Get List Employees
        GET
      • Get Employees List
        GET
      • Get Mastertypes List
        GET
      • Get Name Prefixes
        GET
      • Get Document Types
        GET
      • Update Employee
        POST
      • Add Employee Attachment
        POST
      • Update Employee Address
        POST
      • Update Employee Family
        POST
      • Update Employee Information
        POST
      • Update Employee Contact
        POST
      • Update Employee Education
        POST
      • Update Employee Experience
        POST
      • Update Employee CustomField
        POST
      • Delete Employee
        POST
      • Get Employee Role
        GET
      • Get Employee Movement Lists
        GET
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • SearchProjects
      • SearchTasks
      • AddTimeSheetEntry
  • Payroll
    • Create Loan
    • Get Loan
    • Get Cost Center
    • Get Financial Transactions
    • Update Financial Transactions
  • Welfare
    • Get Shuttle Buses
    • Get Passengers
  • Goals
    • Update KPI
  • Engagement
    • Achievement
      • GetEmployeeAchievementsByEmployeeNoAsync
      • CreateAchievementCardAsync
      • CreateAchievementAwardDocumentAsync
    • Praise
      • GetEmployeePraisesByEmployeeNoAsync
      • GetPraiseTypesAsync
      • CreatePraiseRewardManagerAsync
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  1. Employee

Get Name Prefixes

GET
https://api.gofive.co.th/empeo/api/v1/masters/prefixes

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/masters/prefixes' \
--header 'Ocp-Apim-Subscription-Key: WPe123a9RKbcfLQNSztr45' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "statusCode": 200,
    "message": "OK",
    "data": {
        "typeName": "คำนำหน้าชื่อ",
        "typeNameEN": "Title",
        "masterTypes": [
            {
                "typeId": 2,
                "typeName": "นาย",
                "typeNameEN": "Mr."
            },
            {
                "typeId": 3,
                "typeName": "นางสาว",
                "typeNameEN": "Miss"
            },
            {
                "typeId": 4,
                "typeName": "นาง",
                "typeNameEN": "Mrs."
            }
        ]
    }
}
Modified at 2023-08-09 06:48:19
Previous
Get Mastertypes List
Next
Get Document Types
Built with